Skip to main content
GET
/
budgets
/
{id}
/
transactions
Get budget transactions
curl --request GET \
  --url https://business.bfinance.app/external/api/budgets/{id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "transactions": [
      {
        "id": "<string>",
        "card": {
          "id": "<string>",
          "maskedCardNumber": "<string>",
          "externalId": "<string>"
        },
        "amount": 123,
        "currency": "<string>",
        "usdAmount": 123,
        "merchant": "<string>",
        "mcc": "<string>",
        "status": "<string>",
        "type": "<string>",
        "transactionDate": "2023-11-07T05:31:56Z",
        "transactionId": "<string>",
        "fee": 123
      }
    ],
    "page": 1,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string
required

Budget ID

Query Parameters

page
integer
default:1

Page number (default 1)

Required range: x >= 1
limit
integer
default:10

Page size (default 10)

Required range: x >= 1

Response

Transactions returned.

status
string
Example:

"success"

data
object